GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
grpc_chttp2_stream_writing Struct Reference

`#include <internal.h>`

## Data Fields
gpr_uint32 | id
| HTTP2 stream id for this stream, or zero if one has not been assigned. More...
grpc_stream_op_buffer | sopb
| sops that have passed flow control to be written More...
grpc_chttp2_send_closed | send_closed
| how strongly should we indicate closure with the next write More...
gpr_uint32 | announce_window
| how much window should we announce? More...

## Field Documentation

gpr_uint32 grpc_chttp2_stream_writing::announce_window

how much window should we announce?

gpr_uint32 grpc_chttp2_stream_writing::id

HTTP2 stream id for this stream, or zero if one has not been assigned.

grpc_chttp2_send_closed grpc_chttp2_stream_writing::send_closed

how strongly should we indicate closure with the next write

grpc_stream_op_buffer grpc_chttp2_stream_writing::sopb

sops that have passed flow control to be written

The documentation for this struct was generated from the following file:

- src/core/transport/chttp2/internal.h